Bug 1333198 - RFE: Please include this policy in dirsrv.te
Summary: RFE: Please include this policy in dirsrv.te
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Stefan Kremen
URL:
Whiteboard:
Depends On:
Blocks: 1210842 1340849
TreeView+ depends on / blocked
 
Reported: 2016-05-04 22:34 UTC by wibrown@redhat.com
Modified: 2016-11-04 02:28 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-3.13.1-75.el7
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1340849 (view as bug list)
Environment:
Last Closed: 2016-11-04 02:28:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2283 0 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2016-11-03 13:36:25 UTC

Description wibrown@redhat.com 2016-05-04 22:34:30 UTC
Description of problem:
Directory Server (389-ds-base) has been updated to use systemd-ask-password. In order to function correctly we need the following added to dirsrv.te

optional_policy(`
	systemd_manage_passwd_run(dirsrv_t)
')

This is to prevent these denials:

type=AVC msg=audit(1460049159.367:4769): avc:  denied  { write } for  pid=28095 comm="ns-slapd" name="ask-password" dev="tmpfs" ino=13367 scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=dir permissive=1
type=AVC msg=audit(1460049159.367:4769): avc:  denied  { add_name } for  pid=28095 comm="ns-slapd" name="sck.28095" scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=dir permissive=1
type=AVC msg=audit(1460049159.367:4769): avc:  denied  { create } for  pid=28095 comm="ns-slapd" name="sck.28095" scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=sock_file permissive=1
type=AVC msg=audit(1460049159.367:4770): avc:  denied  { create } for  pid=28095 comm="ns-slapd" name="tmp.28095" scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=file permissive=1
type=AVC msg=audit(1460049159.367:4770): avc:  denied  { write open } for  pid=28095 comm="ns-slapd" path="/run/systemd/ask-password/tmp.28095" dev="tmpfs" ino=2980942 scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=file permissive=1
type=AVC msg=audit(1460049159.367:4771): avc:  denied  { getattr } for  pid=28095 comm="ns-slapd" path="/run/systemd/ask-password/tmp.28095" dev="tmpfs" ino=2980942 scontext=system_u:system_r:dirsrv_t:s0 tcontext=system_u:object_r:systemd_passwd_var_run_t:s0 tclass=file permissive=1

Comment 6 errata-xmlrpc 2016-11-04 02:28:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2283.html


Note You need to log in before you can comment on or make changes to this bug.